Get file context
curl --request GET \
--url https://api.uplint.dev/api/v1/contexts/{context_key} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.uplint.dev/api/v1/contexts/{context_key}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.uplint.dev/api/v1/contexts/{context_key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "SUCCESS",
"message": "<string>",
"data": {
"context_id": "<string>",
"context_key": "<string>",
"tenant_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"allowed_extensions": [
"<string>"
],
"max_file_size_mb": 123,
"storage_path_template": "<string>",
"reject_blank_files": true,
"reject_corrupt_files": true,
"scan_for_viruses": true,
"upload_rate_limit": {
"max_uploads": 5000,
"window_seconds": 1800
},
"storage_quota_mb": 123,
"storage_used_bytes": 123,
"metadata": {},
"storage_config_id": "<string>"
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": "ERROR",
"message": "Invalid or missing API key",
"errors": [
"Authentication required"
],
"timestamp": "2026-02-10T12:00:00Z"
}{
"status": "ERROR",
"message": "Resource not found",
"errors": [
"Not found"
],
"timestamp": "2026-02-10T12:00:00Z"
}File Contexts
Get File Context
Retrieve full details for a single file context by its key.
GET
/
api
/
v1
/
contexts
/
{context_key}
Get file context
Authorizations
Pass an API key or JWT token. API keys can be sent as Authorization: Bearer <key> or Authorization: <key>.
Path Parameters
The file context's unique key (e.g. patient_reports).
Was this page helpful?
⌘I

